Replay a webhook delivery. Send transaction_id for a successful fiat transaction. Send webhook_log_id for an eligible failed crypto payout webhook. Required scope: webhook:replay.
Authorization
oauth2ClientCredentials webhook:replayUse your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: webhook:replay
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl --request POST \ --url 'https://example.com/api/external/webhook-replay' \ --header 'Content-Type: application/json' \ --data '{ "webhook_log_id": "fb87c0f8-31e3-46f3-b0d3-1ff2618565bc"}'{ "message": "Webhook replayed successfully"}GETGet a webhook log
Get one webhook delivery log. The response includes the related crypto transaction when the log is for a crypto payout. Required scope: `webhook:read`.
POSTSimulate Interac webhook (non-production)
Sends a mock Interac collection webhook to your configured collection_url. Only available outside production; returns 400 in production. Required scope: `mock:webhook:trigger`.